zenilib: SDL_VideoData Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | Protected Attributes | List of all members
SDL_VideoData Struct Reference

`#include <SDL_androidvideo.h>`

## Public Member Functions

| BOOL (WINAPI *CloseTouchInputHandle)(HTOUCHINPUT)
| BOOL (WINAPI *GetTouchInputInfo)(HTOUCHINPUT
| BOOL (WINAPI *RegisterTouchWindow)(HWND
| BOOL (WINAPI *ShowReadingWindow)(HIMC himc
| BOOL (WINAPI *ImmUnlockIMC)(HIMC himc)
| BOOL (WINAPI *ImmUnlockIMCC)(HIMCC himcc)
| LPINPUTCONTEXT2 (WINAPI *ImmLockIMC)(HIMC himc)
| LPVOID (WINAPI *ImmLockIMCC)(HIMCC himcc)
| UINT (WINAPI *GetReadingString)(HIMC himc

## Public Attributes

Atom | _NET_ACTIVE_WINDOW
Atom | _NET_WM_ACTION_FULLSCREEN
Atom | _NET_WM_ALLOWED_ACTIONS
Atom | _NET_WM_ICON
Atom | _NET_WM_ICON_NAME
Atom | _NET_WM_NAME
Atom | _NET_WM_PING
Atom | _NET_WM_STATE
Atom | _NET_WM_STATE_FOCUSED
Atom | _NET_WM_STATE_FULLSCREEN
Atom | _NET_WM_STATE_HIDDEN
Atom | _NET_WM_STATE_MAXIMIZED_HORZ
Atom | _NET_WM_STATE_MAXIMIZED_VERT
BOOL | bShow
char * | classname
DWORD | clipboard_count
Display * | display
EGLDisplay | egl_display
SDL_bool | egl_initialized
uint32_t | egl_refcount
XIM | im
DWORD | ime_alpnsinkcookie
SDL_bool | ime_available
DWORD | ime_candcount
WCHAR | ime_candidates [MAX_CANDLIST][MAX_CANDLENGTH]
SDL_bool | ime_candlist
int | ime_candlistindexbase
SDL_Rect | ime_candlistrect
UINT | ime_candpgsize
DWORD | ime_candref
DWORD | ime_candsel
SDL_bool | ime_candvertical
SDL_bool | ime_com_initialized
WCHAR | ime_composition [SDL_TEXTEDITINGEVENT_TEXT_SIZE]
DWORD | ime_convmodesinkcookie
int | ime_cursor
SDL_bool | ime_dirty
SDL_bool | ime_enabled
HIMC | ime_himc
void * | ime_himm32
HKL | ime_hkl
HWND | ime_hwnd_current
HWND | ime_hwnd_main
SDL_bool | ime_initialized
TSFSink * | ime_ippasink
DWORD | ime_openmodesinkcookie
WCHAR | ime_readingstring [16]
SDL_Rect | ime_rect
struct ITfThreadMgr * | ime_threadmgr
struct ITfThreadMgrEx * | ime_threadmgrex
TSFSink * | ime_uielemsink
DWORD | ime_uielemsinkcookie
SDL_bool | ime_uiless
int | ime_winheight
int | ime_winwidth
| int
SDL_Scancode | key_layout [256]
UINT LPWSTR | lpwReadingBuf
SDL_bool | net_wm
int | numwindows
UINT LPWSTR PINT BOOL * | pfIsVertical
pid_t | pid
UINT LPWSTR PINT | pnErrorIndex
Atom | PRIMARY
| PTOUCHINPUT
UINT LPWSTR PINT BOOL PUINT | puMaxReadingLen
int | render
SDL_bool | selection_waiting
uint32_t | swapinterval
SDL_Rect | textRect
| UINT
| ULONG
UINT | uReadingBufLen
void * | userDLL
Atom | UTF8_STRING
SDL_WindowData ** | windowlist
int | windowlistlength
Atom | WM_DELETE_WINDOW
Atom | WM_PROTOCOLS
Atom | XdndActionCopy
Atom | XdndDrop
Atom | XdndEnter
Atom | XdndFinished
Atom | XdndPosition
Atom | XdndSelection
Atom | XdndStatus
Atom | XdndTypeList

## Protected Attributes

NSInteger | clipboard_count
SDLTranslatorResponder * | fieldEdit
void * | key_layout
unsigned int | modifierFlags
SInt32 | osversion
Uint32 | screensaver_activity

## Detailed Description

Definition at line 35 of file SDL_androidvideo.h.

## Member Function Documentation

SDL_VideoData::BOOL | ( | WINAPI * | CloseTouchInputHandle | ) |

SDL_VideoData::BOOL | ( | WINAPI * | GetTouchInputInfo | ) |

SDL_VideoData::BOOL | ( | WINAPI * | RegisterTouchWindow | ) |

SDL_VideoData::BOOL | ( | WINAPI * | ShowReadingWindow | ) |

SDL_VideoData::BOOL | ( | WINAPI * | ImmUnlockIMC | ) |

SDL_VideoData::BOOL | ( | WINAPI * | ImmUnlockIMCC | ) |

SDL_VideoData::LPINPUTCONTEXT2 | ( | WINAPI * | ImmLockIMC | ) |

SDL_VideoData::LPVOID | ( | WINAPI * | ImmLockIMCC | ) |

SDL_VideoData::UINT | ( | WINAPI * | GetReadingString | ) |

## Member Data Documentation

Atom SDL_VideoData::_NET_ACTIVE_WINDOW

Definition at line 102 of file SDL_x11video.h.

Atom SDL_VideoData::_NET_WM_ACTION_FULLSCREEN

Definition at line 97 of file SDL_x11video.h.

Atom SDL_VideoData::_NET_WM_ALLOWED_ACTIONS

Definition at line 96 of file SDL_x11video.h.

Atom SDL_VideoData::_NET_WM_ICON

Definition at line 100 of file SDL_x11video.h.

Atom SDL_VideoData::_NET_WM_ICON_NAME

Definition at line 99 of file SDL_x11video.h.

Atom SDL_VideoData::_NET_WM_NAME

Definition at line 98 of file SDL_x11video.h.

Atom SDL_VideoData::_NET_WM_PING

Definition at line 101 of file SDL_x11video.h.

Atom SDL_VideoData::_NET_WM_STATE

Definition at line 90 of file SDL_x11video.h.

Atom SDL_VideoData::_NET_WM_STATE_FOCUSED

Definition at line 92 of file SDL_x11video.h.

Atom SDL_VideoData::_NET_WM_STATE_FULLSCREEN

Definition at line 95 of file SDL_x11video.h.

Atom SDL_VideoData::_NET_WM_STATE_HIDDEN

Definition at line 91 of file SDL_x11video.h.

Atom SDL_VideoData::_NET_WM_STATE_MAXIMIZED_HORZ

Definition at line 94 of file SDL_x11video.h.

Atom SDL_VideoData::_NET_WM_STATE_MAXIMIZED_VERT

Definition at line 93 of file SDL_x11video.h.

BOOL SDL_VideoData::bShow

Definition at line 157 of file SDL_windowsvideo.h.

char* SDL_VideoData::classname

Definition at line 76 of file SDL_x11video.h.

NSInteger SDL_VideoData::clipboard_count

protected

Definition at line 52 of file SDL_cocoavideo.h.

DWORD SDL_VideoData::clipboard_count

Definition at line 118 of file SDL_windowsvideo.h.

Display* SDL_VideoData::display

Definition at line 75 of file SDL_x11video.h.

EGLDisplay SDL_VideoData::egl_display

Definition at line 33 of file SDL_pandora.h.

SDL_bool SDL_VideoData::egl_initialized

Definition at line 32 of file SDL_pandora.h.

Referenced by PSP_GL_DeleteContext().

uint32_t SDL_VideoData::egl_refcount

Definition at line 34 of file SDL_pandora.h.

SDLTranslatorResponder* SDL_VideoData::fieldEdit

protected

Definition at line 51 of file SDL_cocoavideo.h.

XIM SDL_VideoData::im

Definition at line 78 of file SDL_x11video.h.

DWORD SDL_VideoData::ime_alpnsinkcookie

Definition at line 166 of file SDL_windowsvideo.h.

SDL_bool SDL_VideoData::ime_available

Definition at line 130 of file SDL_windowsvideo.h.

DWORD SDL_VideoData::ime_candcount

Definition at line 141 of file SDL_windowsvideo.h.

WCHAR SDL_VideoData::ime_candidates[MAX_CANDLIST][MAX_CANDLENGTH]

Definition at line 140 of file SDL_windowsvideo.h.

SDL_bool SDL_VideoData::ime_candlist

Definition at line 139 of file SDL_windowsvideo.h.

int SDL_VideoData::ime_candlistindexbase

Definition at line 145 of file SDL_windowsvideo.h.

SDL_Rect SDL_VideoData::ime_candlistrect

Definition at line 150 of file SDL_windowsvideo.h.

UINT SDL_VideoData::ime_candpgsize

Definition at line 144 of file SDL_windowsvideo.h.

DWORD SDL_VideoData::ime_candref

Definition at line 142 of file SDL_windowsvideo.h.

DWORD SDL_VideoData::ime_candsel

Definition at line 143 of file SDL_windowsvideo.h.

SDL_bool SDL_VideoData::ime_candvertical

Definition at line 146 of file SDL_windowsvideo.h.

SDL_bool SDL_VideoData::ime_com_initialized

Definition at line 126 of file SDL_windowsvideo.h.

WCHAR SDL_VideoData::ime_composition[SDL_TEXTEDITINGEVENT_TEXT_SIZE]

Definition at line 135 of file SDL_windowsvideo.h.

DWORD SDL_VideoData::ime_convmodesinkcookie

Definition at line 168 of file SDL_windowsvideo.h.

int SDL_VideoData::ime_cursor

Definition at line 137 of file SDL_windowsvideo.h.

SDL_bool SDL_VideoData::ime_dirty

Definition at line 148 of file SDL_windowsvideo.h.

SDL_bool SDL_VideoData::ime_enabled

Definition at line 129 of file SDL_windowsvideo.h.

HIMC SDL_VideoData::ime_himc

Definition at line 133 of file SDL_windowsvideo.h.

void* SDL_VideoData::ime_himm32

Definition at line 155 of file SDL_windowsvideo.h.

HKL SDL_VideoData::ime_hkl

Definition at line 154 of file SDL_windowsvideo.h.

HWND SDL_VideoData::ime_hwnd_current

Definition at line 132 of file SDL_windowsvideo.h.

HWND SDL_VideoData::ime_hwnd_main

Definition at line 131 of file SDL_windowsvideo.h.

SDL_bool SDL_VideoData::ime_initialized

Definition at line 128 of file SDL_windowsvideo.h.

TSFSink* SDL_VideoData::ime_ippasink

Definition at line 170 of file SDL_windowsvideo.h.

DWORD SDL_VideoData::ime_openmodesinkcookie

Definition at line 167 of file SDL_windowsvideo.h.

WCHAR SDL_VideoData::ime_readingstring[16]

Definition at line 136 of file SDL_windowsvideo.h.

SDL_Rect SDL_VideoData::ime_rect

Definition at line 149 of file SDL_windowsvideo.h.

struct ITfThreadMgr* SDL_VideoData::ime_threadmgr

Definition at line 127 of file SDL_windowsvideo.h.

struct ITfThreadMgrEx* SDL_VideoData::ime_threadmgrex

Definition at line 164 of file SDL_windowsvideo.h.

TSFSink* SDL_VideoData::ime_uielemsink

Definition at line 169 of file SDL_windowsvideo.h.

DWORD SDL_VideoData::ime_uielemsinkcookie

Definition at line 165 of file SDL_windowsvideo.h.

SDL_bool SDL_VideoData::ime_uiless

Definition at line 163 of file SDL_windowsvideo.h.

int SDL_VideoData::ime_winheight

Definition at line 152 of file SDL_windowsvideo.h.

int SDL_VideoData::ime_winwidth

Definition at line 151 of file SDL_windowsvideo.h.

SDL_VideoData::int

Definition at line 123 of file SDL_windowsvideo.h.

void* SDL_VideoData::key_layout

protected

Definition at line 50 of file SDL_cocoavideo.h.

SDL_Scancode SDL_VideoData::key_layout[256]

Definition at line 114 of file SDL_x11video.h.

UINT LPWSTR SDL_VideoData::lpwReadingBuf

Definition at line 156 of file SDL_windowsvideo.h.

unsigned int SDL_VideoData::modifierFlags

protected

Definition at line 49 of file SDL_cocoavideo.h.

SDL_bool SDL_VideoData::net_wm

Definition at line 85 of file SDL_x11video.h.

int SDL_VideoData::numwindows

Definition at line 80 of file SDL_x11video.h.

SInt32 SDL_VideoData::osversion

protected

Definition at line 48 of file SDL_cocoavideo.h.

UINT LPWSTR PINT BOOL* SDL_VideoData::pfIsVertical

Definition at line 156 of file SDL_windowsvideo.h.

pid_t SDL_VideoData::pid

Definition at line 77 of file SDL_x11video.h.

UINT LPWSTR PINT SDL_VideoData::pnErrorIndex

Definition at line 156 of file SDL_windowsvideo.h.

Atom SDL_VideoData::PRIMARY

Definition at line 104 of file SDL_x11video.h.

SDL_VideoData::PTOUCHINPUT

Definition at line 123 of file SDL_windowsvideo.h.

UINT LPWSTR PINT BOOL PUINT SDL_VideoData::puMaxReadingLen

Definition at line 156 of file SDL_windowsvideo.h.

int SDL_VideoData::render

Definition at line 116 of file SDL_windowsvideo.h.

Uint32 SDL_VideoData::screensaver_activity

protected

Definition at line 53 of file SDL_cocoavideo.h.

SDL_bool SDL_VideoData::selection_waiting

Definition at line 115 of file SDL_x11video.h.

uint32_t SDL_VideoData::swapinterval

Definition at line 35 of file SDL_pandora.h.

SDL_Rect SDL_VideoData::textRect

Definition at line 37 of file SDL_androidvideo.h.

SDL_VideoData::UINT

Definition at line 123 of file SDL_windowsvideo.h.

SDL_VideoData::ULONG

Definition at line 124 of file SDL_windowsvideo.h.

UINT SDL_VideoData::uReadingBufLen

Definition at line 156 of file SDL_windowsvideo.h.

void* SDL_VideoData::userDLL

Definition at line 121 of file SDL_windowsvideo.h.

Atom SDL_VideoData::UTF8_STRING

Definition at line 103 of file SDL_x11video.h.

SDL_WindowData** SDL_VideoData::windowlist

Definition at line 81 of file SDL_x11video.h.

int SDL_VideoData::windowlistlength

Definition at line 82 of file SDL_x11video.h.

Atom SDL_VideoData::WM_DELETE_WINDOW

Definition at line 89 of file SDL_x11video.h.

Atom SDL_VideoData::WM_PROTOCOLS

Definition at line 88 of file SDL_x11video.h.

Atom SDL_VideoData::XdndActionCopy

Definition at line 109 of file SDL_x11video.h.

Atom SDL_VideoData::XdndDrop

Definition at line 110 of file SDL_x11video.h.

Atom SDL_VideoData::XdndEnter

Definition at line 105 of file SDL_x11video.h.

Atom SDL_VideoData::XdndFinished

Definition at line 111 of file SDL_x11video.h.

Atom SDL_VideoData::XdndPosition

Definition at line 106 of file SDL_x11video.h.

Atom SDL_VideoData::XdndSelection

Definition at line 112 of file SDL_x11video.h.

Atom SDL_VideoData::XdndStatus

Definition at line 107 of file SDL_x11video.h.

Atom SDL_VideoData::XdndTypeList

Definition at line 108 of file SDL_x11video.h.

The documentation for this struct was generated from the following files:

- zenilib/jni/external/sdl/src/video/android/SDL_androidvideo.h
- zenilib/jni/external/sdl/src/video/cocoa/SDL_cocoavideo.h
- zenilib/jni/external/sdl/src/video/pandora/SDL_pandora.h
- zenilib/jni/external/sdl/src/video/psp/SDL_pspvideo.h
- zenilib/jni/external/sdl/src/video/raspberry/SDL_rpivideo.h
- zenilib/jni/external/sdl/src/video/windows/SDL_windowsvideo.h
- zenilib/jni/external/sdl/src/video/x11/SDL_x11video.h